Issue 120680 - Need to clear aSortArr in SwTOXBaseSection dtor
Need to clear aSortArr in SwTOXBaseSection dtor
Status: RESOLVED FIXED
Product: Writer
Classification: Application
Component: code
3.4.0
All All
: P2 normal (vote)
: 4.0.0
Assigned To: zhang jianfang
:
Depends on:
Blocks: 120975
  Show dependency treegraph
 
Reported: 2012-08-23 08:31 UTC by zhang jianfang
Modified: 2012-09-15 12:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
doctxm.cxx.patch (280 bytes, patch)
2012-08-23 08:34 UTC, zhang jianfang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zhang jianfang 2012-08-23 08:31:25 UTC
It is a memory leak bug.  The created SwTOXPara object is stored in SwTOXBaseSection.aSortArr array attribute, but it is not released in SwTOXBaseSection dtor.
Comment 1 zhang jianfang 2012-08-23 08:34:20 UTC
Created attachment 79096 [details]
doctxm.cxx.patch
Comment 2 SVN Robot 2012-09-03 03:36:10 UTC
"zhangjf" committed SVN revision 1380121 into trunk:
#i120680#, need to clear aSortArr in SwTOXBaseSection dtorFound by: zhangjf P...
Comment 3 zhang jianfang 2012-09-03 03:36:50 UTC
Comment on attachment 79096 [details]
doctxm.cxx.patch

Remove review tag since long time no response.
Comment 4 zhang jianfang 2012-09-03 03:37:41 UTC
Change to fixed state.